Skip to main content
Weavr API
Correspondent bank transfers

Cancel a correspondent bank transfer

POST/correspondent_bank_transfers/{id}/cancel

Cancel the correspondent bank transfer identified by the id path parameter.

Request

Available on
SandboxProduction

Path parameters

Request body

application/json
{}
TransactionSingleCancelRequestTransactionSingleCancelRequest · object · 1 field

Responses

200OK

Success

Headers
Body
application/json
{}
CorrespondentBankingOwtCorrespondentBankingOwt · object · 15 fields
Response example
{  "id": "123456789",  "profileId": "10001",  "tag": "customer-123",  "sourceInstrument": {    "type": "managed_accounts",    "id": "123456789"  },  "amount": {    "currency": "GBP",    "amount": 1250  },  "originator": {    "tag": "customer-123",    "name": "Alex Smith",    "address": "1 High Street, London W1A 1AA",    "country": "GB",    "bankAccountDetails": {      "account": "GB29NWBK60161331926819",      "financialInstitution": "NWBKGB2L"    },    "supplementaryInformation": {      "documentType": "NATIONAL_ID",      "documentNumber": "123456789"    }  },  "beneficiary": {    "name": "Alex Smith",    "iban": "GB29NWBK60161331926819",    "bankIdentifierCode": "NWBKGB2L",    "address": "1 High Street, London W1A 1AA",    "bankName": "National Westminster Bank PLC",    "bankAddress": "250 Bishopsgate, London EC2M 4AA",    "bankCountry": "GB",    "nationality": "GB",    "dateOfBirth": "1990-01-01"  },  "purpose": "Invoice payment",  "description": "Invoice 1042",  "externalData": [    {      "name": "invoiceNumber",      "value": "INV-1042"    }  ],  "state": "INVALID",  "creationTimestamp": 1786118400000,  "scheduledTimestamp": "1786118400000",  "cancellationReason": "Payment no longer required",  "validationOutcomes": [    {      "category": "SEPA_VERIFICATION_OF_PAYEE",      "categoryResult": {        "match": "MATCH",        "accountName": "Alex Smith"      }    }  ]}